aboutsummaryrefslogtreecommitdiff
path: root/publish.sh
diff options
context:
space:
mode:
authorMatthijs van der Wild <matthijs@vanderwild.com>2026-03-13 14:17:23 +0000
committerMatthijs van der Wild <matthijs@vanderwild.com>2026-03-13 14:17:23 +0000
commitdf036bb1792e97b685d8b54f2b1480236bfab65f (patch)
tree4dc1f4fc07d912efd3312b062b7176291e7b93d9 /publish.sh
parent04f201dc7d286c31bf6fb3ec94b52e06c28a5c18 (diff)
Create output directory if it does not exist
Diffstat (limited to 'publish.sh')
-rwxr-xr-xpublish.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/publish.sh b/publish.sh
index 1f10507..45b3287 100755
--- a/publish.sh
+++ b/publish.sh
@@ -6,7 +6,9 @@ INDIR=${1}
OUTDIR=${2}
[ ! $# -eq 2 ] && echo "Usage: $0 <input dir> <output dir>" && exit 1
-[ ! -d $INDIR ] && [ ! -d $OUTDIR ] && echo "Error: invalid input" && exit 1
+[ ! -d $INDIR ] && echo "Error: invalid input" && exit 1
+
+mkdir -p $OUTDIR
MAX_DEPTH=10
publish() {